CVE-2005-3099
CVSS4.6
发布时间 :2005-09-28 19:03:00
修订时间 :2008-09-05 16:53:27
NMCO    

[原文]Unspecified vulnerability in the (1) Xsun and (2) Xprt commands in Solaris 7, 8, 9, and 10 allows local users to execute arbitrary code.


[CNNVD]Solaris本地未知执行任意代码漏洞(CNNVD-200509-290)

        Solaris 是Sun Microsystems研发的计算机 操作系统。它被认为是UNIX操作系统的衍生版本之一。 目前Solaris属于混合开源软件。
        Solaris 7、8、9、10版本的(1) Xsun指令和(2) Xprt指令存在未知漏洞。利用此漏洞,本地用户可执行任意代码。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:sun:solaris:9.0::sparc
cpe:/o:sun:solaris:10.0::sparc
cpe:/o:sun:solaris:8.0
cpe:/o:sun:solaris:7.0

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:943Solaris Xsun and Xprt Unspecified Local Privilege Escalation
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3099
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3099
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200509-290
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/22410
(PATCH)  XF  solaris-xsun-xprt-command-execution(22410)
http://sunsolve.sun.com/search/document.do?assetkey=1-26-101800-1
(VENDOR_ADVISORY)  SUNALERT  101800
http://secunia.com/advisories/16955
(VENDOR_ADVISORY)  SECUNIA  16955
http://www.osvdb.org/19700
(UNKNOWN)  OSVDB  19700
http://www.osvdb.org/19699
(UNKNOWN)  OSVDB  19699
http://support.avaya.com/elmodocs2/security/ASA-2005-220.pdf
(UNKNOWN)  CONFIRM  http://support.avaya.com/elmodocs2/security/ASA-2005-220.pdf
http://secunia.com/advisories/17246
(UNKNOWN)  SECUNIA  17246

- 漏洞信息

Solaris本地未知执行任意代码漏洞
中危 未知
2005-09-28 00:00:00 2005-10-20 00:00:00
本地  
        Solaris 是Sun Microsystems研发的计算机 操作系统。它被认为是UNIX操作系统的衍生版本之一。 目前Solaris属于混合开源软件。
        Solaris 7、8、9、10版本的(1) Xsun指令和(2) Xprt指令存在未知漏洞。利用此漏洞,本地用户可执行任意代码。

- 公告与补丁

        

- 漏洞信息

19699
Solaris Xsun Unspecified Local Privilege Escalation
Local Access Required Attack Type Unknown
Loss of Integrity
Exploit Unknown

- 漏洞描述

Solaris contains a flaw related to the Xsun program that may allow an attacker to escalate privileges. No further details have been provided.

- 时间线

2005-09-26 Unknow
Unknow Unknow

- 解决方案

Sun Microsystems, Inc. has released patches to address this vulnerability. It is also possible to correct the flaw by implementing the following workaround(s): remove the setuid and setgid bit from the permissions of Xsun.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站